unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    edtFromFile: TEdit;
    btnCopyFile: TButton;
    btnMoveFile: TButton;
    edtToFile: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    edtRecycleFrom: TEdit;
    btnToRecycle: TButton;
    btnWipe: TButton;
    ListBox1: TListBox;
    Label4: TLabel;
    GroupBox3: TGroupBox;
    chkRename: TCheckBox;
    chkConfirm: TCheckBox;
    chkAddToRecent: TCheckBox;
    btnClearRecent: TButton;
    btnEmpty: TButton;
    procedure btnCopyFileClick(Sender: TObject);
    procedure btnMoveFileClick(Sender: TObject);
    procedure btnToRecycleClick(Sender: TObject);
    procedure btnWipeClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnClearRecentClick(Sender: TObject);
    procedure btnEmptyClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
uses Win95;
{$R *.DFM}

procedure TForm1.btnCopyFileClick(Sender: TObject);
begin
  Win95Copy(Self.Handle, edtFromFile.Text, edtToFile.Text,
            chkRename.Checked, chkConfirm.Checked);
  if chkAddToRecent.checked then
    Win95AddToRecentDocs(edtFromFile.Text);
end;

procedure TForm1.btnMoveFileClick(Sender: TObject);
begin
  Win95Move(Self.Handle, edtFromFile.Text, edtToFile.Text,
            chkRename.Checked,chkConfirm.Checked);
  if chkAddToRecent.checked then
    Win95AddToRecentDocs(edtFromFile.Text);
end;

procedure TForm1.btnToRecycleClick(Sender: TObject);
begin
  Win95Erase(Self.Handle, edtRecycleFrom.Text, True, chkConfirm.Checked);
end;

procedure TForm1.btnWipeClick(Sender: TObject);
begin
  Win95Erase(Self.Handle, edtRecycleFrom.Text, False, chkConfirm.Checked);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ListBox1.Items.Add('Desktop  - '+GetFolderPath(fpDesktop));
  ListBox1.Items.Add('Recent   - '+GetFolderPath(fpRecent));
  ListBox1.Items.Add('SendTo   - '+GetFolderPath(fpSendTo));
  ListBox1.Items.Add('Favorites- '+GetFolderPath(fpFavorites));
  ListBox1.Items.Add('Fonts    - '+GetFolderPath(fpFonts));
  ListBox1.Items.Add('Personal - '+GetFolderPath(fpPersonal));
  ListBox1.Items.Add('StartMenu- '+GetFolderPath(fpStartMenu));
  ListBox1.Items.Add('Startup  - '+GetFolderPath(fpStartup));
  ListBox1.Items.Add('Programs - '+GetFolderPath(fpPrograms));
  ListBox1.Items.Add('Templates- '+GetFolderPath(fpTemplates));
end;

procedure TForm1.btnClearRecentClick(Sender: TObject);
begin
  Win95ClearRecentDocs;
end;

procedure TForm1.btnEmptyClick(Sender: TObject);
begin
  Win95Erase(Self.Handle,'C:\Recycled\*.*', false, false);
end;

end.
